package com.ygtx.gxt.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ygtx.gxt.mapper.GxtMonthRepairProjectMapper;
import com.ygtx.gxt.domain.GxtMonthRepairProject;
import com.ygtx.gxt.service.IGxtMonthRepairProjectService;

/**
 * 月度场站维修项目工单Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
@Service
public class GxtMonthRepairProjectServiceImpl implements IGxtMonthRepairProjectService 
{
    @Autowired
    private GxtMonthRepairProjectMapper gxtMonthRepairProjectMapper;

    /**
     * 查询月度场站维修项目工单
     * 
     * @param id 月度场站维修项目工单主键
     * @return 月度场站维修项目工单
     */
    @Override
    public GxtMonthRepairProject selectGxtMonthRepairProjectById(Long id)
    {
        return gxtMonthRepairProjectMapper.selectGxtMonthRepairProjectById(id);
    }

    /**
     * 查询月度场站维修项目工单列表
     * 
     * @param gxtMonthRepairProject 月度场站维修项目工单
     * @return 月度场站维修项目工单
     */
    @Override
    public List<GxtMonthRepairProject> selectGxtMonthRepairProjectList(GxtMonthRepairProject gxtMonthRepairProject)
    {
        return gxtMonthRepairProjectMapper.selectGxtMonthRepairProjectList(gxtMonthRepairProject);
    }

    /**
     * 查询月度场站维修项目工单列表（用于新增）
     * 
     * @param gxtMonthRepairProject 月度场站维修项目工单
     * @return 月度场站维修项目工单集合
     */
    @Override
    public List<GxtMonthRepairProject> selectGxtMonthRepairProjectListByAdd(GxtMonthRepairProject gxtMonthRepairProject)
    {
        return gxtMonthRepairProjectMapper.selectGxtMonthRepairProjectListByAdd(gxtMonthRepairProject);
    }

    /**
     * 新增月度场站维修项目工单
     * 
     * @param gxtMonthRepairProject 月度场站维修项目工单
     * @return 结果
     */
    @Override
    public int insertGxtMonthRepairProject(GxtMonthRepairProject gxtMonthRepairProject)
    {
        return gxtMonthRepairProjectMapper.insertGxtMonthRepairProject(gxtMonthRepairProject);
    }

    /**
     * 修改月度场站维修项目工单
     * 
     * @param gxtMonthRepairProject 月度场站维修项目工单
     * @return 结果
     */
    @Override
    public int updateGxtMonthRepairProject(GxtMonthRepairProject gxtMonthRepairProject)
    {
        return gxtMonthRepairProjectMapper.updateGxtMonthRepairProject(gxtMonthRepairProject);
    }

    /**
     * 批量删除月度场站维修项目工单
     * 
     * @param ids 需要删除的月度场站维修项目工单主键
     * @return 结果
     */
    @Override
    public int deleteGxtMonthRepairProjectByIds(Long[] ids)
    {
        return gxtMonthRepairProjectMapper.deleteGxtMonthRepairProjectByIds(ids);
    }

    /**
     * 删除月度场站维修项目工单信息
     * 
     * @param id 月度场站维修项目工单主键
     * @return 结果
     */
    @Override
    public int deleteGxtMonthRepairProjectById(Long id)
    {
        return gxtMonthRepairProjectMapper.deleteGxtMonthRepairProjectById(id);
    }
}